- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
WPS8Struct.h File Reference
`#include <string>`
`#include <vector>`
`#include "libwps_internal.h"`

Go to the source code of this file.

## Classes
struct | WPS8Struct::FileData
| A recursif structure which seems generally used to store complex memory structures in a file. More...

## Namespaces
namespace | WPS8Struct
| namespace used to read the structures stored in a WPS8 files

## Functions
bool | WPS8Struct::readData (WPXInputStreamPtr input, long endPos, FileData &dt, std::string &error)
| tries to read a block zone as a Data More...
bool | WPS8Struct::readBlockData (WPXInputStreamPtr input, long endPos, FileData &dt, std::string &error)
| tries to read a block zone as a list of Data More...
std::ostream & | WPS8Struct::operator<< (std::ostream &o, FileData const &dt)
| operator<< which allows to print for debugging the content of a Data More...